searchData={"items":[{"type":"module","title":"Terrestrial","doc":"Documentation for `Terrestrial`.","ref":"Terrestrial.html"},{"type":"module","title":"Examples - Terrestrial","doc":"defmodule MyAppWeb.DemoLive do\n      use MyAppWeb, :live_view\n      alias Terrestrial, as: C\n\n      def render(assigns) do\n        assigns = assign(assigns, data: data())\n\n        ~H\"\"\"\n          <C.chart elements={[C.axis_x()]}\n        \"\"\"\n      end\n\n      def data() do\n        [\n          %{x: 1, y: 2},\n          %{x: 2, y: 3},\n          %{x: 3, y: 4},\n          %{x: 4, y: 3},\n          %{x: 5, y: 2},\n          %{x: 6, y: 4},\n          %{x: 7, y: 5}\n        ]\n      end\n    end","ref":"Terrestrial.html#module-examples"},{"type":"function","title":"Terrestrial.axis_x/1","doc":"","ref":"Terrestrial.html#axis_x/1"},{"type":"function","title":"Terrestrial.axis_y/1","doc":"","ref":"Terrestrial.html#axis_y/1"},{"type":"function","title":"Terrestrial.chart/1","doc":"","ref":"Terrestrial.html#chart/1"},{"type":"function","title":"Attributes - Terrestrial.chart/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `elements` (`:list`) - Defaults to `[]`.\n* `edits` (`:list`) - Defaults to `[]`.","ref":"Terrestrial.html#chart/1-attributes"},{"type":"function","title":"Terrestrial.grid/1","doc":"","ref":"Terrestrial.html#grid/1"},{"type":"function","title":"Terrestrial.interpolated/3","doc":"Like scatter/2 but connects the dots.","ref":"Terrestrial.html#interpolated/3"},{"type":"function","title":"Terrestrial.label/3","doc":"Add a label at a specific coordinate.","ref":"Terrestrial.html#label/3"},{"type":"function","title":"Terrestrial.label_at/4","doc":"Add a label relative to your axes.","ref":"Terrestrial.html#label_at/4"},{"type":"function","title":"Terrestrial.line/1","doc":"","ref":"Terrestrial.html#line/1"},{"type":"function","title":"Terrestrial.scatter/2","doc":"Render a dot for each datapoint.","ref":"Terrestrial.html#scatter/2"},{"type":"function","title":"Terrestrial.series/3","doc":"Add a line series to your chart.","ref":"Terrestrial.html#series/3"},{"type":"function","title":"Terrestrial.x_labels/1","doc":"","ref":"Terrestrial.html#x_labels/1"},{"type":"function","title":"Terrestrial.x_ticks/1","doc":"","ref":"Terrestrial.html#x_ticks/1"},{"type":"function","title":"Terrestrial.y_labels/1","doc":"","ref":"Terrestrial.html#y_labels/1"},{"type":"function","title":"Terrestrial.y_ticks/1","doc":"","ref":"Terrestrial.html#y_ticks/1"},{"type":"module","title":"Terrestrial.Attributes","doc":"This module defines ways for editing elements.","ref":"Terrestrial.Attributes.html"},{"type":"module","title":"How it works - Terrestrial.Attributes","doc":"All the functions return an anonymous function that takes and returns a config map.\nThis function is later applied by the library.","ref":"Terrestrial.Attributes.html#module-how-it-works"},{"type":"function","title":"Terrestrial.Attributes.attrs/1","doc":"Add arbitrary attributes to an element using a Keyword list.","ref":"Terrestrial.Attributes.html#attrs/1"},{"type":"function","title":"Terrestrial.Attributes.blue/0","doc":"","ref":"Terrestrial.Attributes.html#blue/0"},{"type":"function","title":"Terrestrial.Attributes.border/1","doc":"","ref":"Terrestrial.Attributes.html#border/1"},{"type":"function","title":"Terrestrial.Attributes.border_width/1","doc":"","ref":"Terrestrial.Attributes.html#border_width/1"},{"type":"function","title":"Terrestrial.Attributes.brown/0","doc":"","ref":"Terrestrial.Attributes.html#brown/0"},{"type":"function","title":"Terrestrial.Attributes.circle/0","doc":"","ref":"Terrestrial.Attributes.html#circle/0"},{"type":"function","title":"Terrestrial.Attributes.color/1","doc":"","ref":"Terrestrial.Attributes.html#color/1"},{"type":"function","title":"Terrestrial.Attributes.cross/0","doc":"","ref":"Terrestrial.Attributes.html#cross/0"},{"type":"function","title":"Terrestrial.Attributes.dark_blue/0","doc":"","ref":"Terrestrial.Attributes.html#dark_blue/0"},{"type":"function","title":"Terrestrial.Attributes.dark_gray/0","doc":"","ref":"Terrestrial.Attributes.html#dark_gray/0"},{"type":"function","title":"Terrestrial.Attributes.dark_yellow/0","doc":"","ref":"Terrestrial.Attributes.html#dark_yellow/0"},{"type":"function","title":"Terrestrial.Attributes.dashed/1","doc":"","ref":"Terrestrial.Attributes.html#dashed/1"},{"type":"function","title":"Terrestrial.Attributes.diamond/0","doc":"","ref":"Terrestrial.Attributes.html#diamond/0"},{"type":"function","title":"Terrestrial.Attributes.dot_grid/0","doc":"","ref":"Terrestrial.Attributes.html#dot_grid/0"},{"type":"function","title":"Terrestrial.Attributes.exactly/3","doc":"","ref":"Terrestrial.Attributes.html#exactly/3"},{"type":"function","title":"Terrestrial.Attributes.format/1","doc":"","ref":"Terrestrial.Attributes.html#format/1"},{"type":"function","title":"Terrestrial.Attributes.gray/0","doc":"","ref":"Terrestrial.Attributes.html#gray/0"},{"type":"function","title":"Terrestrial.Attributes.green/0","doc":"","ref":"Terrestrial.Attributes.html#green/0"},{"type":"function","title":"Terrestrial.Attributes.height/1","doc":"","ref":"Terrestrial.Attributes.html#height/1"},{"type":"function","title":"Terrestrial.Attributes.hide_overflow/0","doc":"","ref":"Terrestrial.Attributes.html#hide_overflow/0"},{"type":"function","title":"Terrestrial.Attributes.highest/2","doc":"Like lowest/2 but for upper bound.","ref":"Terrestrial.Attributes.html#highest/2"},{"type":"function","title":"Terrestrial.Attributes.label_gray/0","doc":"","ref":"Terrestrial.Attributes.html#label_gray/0"},{"type":"function","title":"Terrestrial.Attributes.length/1","doc":"","ref":"Terrestrial.Attributes.html#length/1"},{"type":"function","title":"Terrestrial.Attributes.less/3","doc":"","ref":"Terrestrial.Attributes.html#less/3"},{"type":"function","title":"Terrestrial.Attributes.linear/0","doc":"","ref":"Terrestrial.Attributes.html#linear/0"},{"type":"function","title":"Terrestrial.Attributes.lowest/2","doc":"Change the lower bound of an axis.","ref":"Terrestrial.Attributes.html#lowest/2"},{"type":"function","title":"Terrestrial.Attributes.magenta/0","doc":"","ref":"Terrestrial.Attributes.html#magenta/0"},{"type":"function","title":"Terrestrial.Attributes.middle/1","doc":"Given an axis, find a value in the middle","ref":"Terrestrial.Attributes.html#middle/1"},{"type":"function","title":"Terrestrial.Attributes.mint/0","doc":"","ref":"Terrestrial.Attributes.html#mint/0"},{"type":"function","title":"Terrestrial.Attributes.monotone/0","doc":"","ref":"Terrestrial.Attributes.html#monotone/0"},{"type":"function","title":"Terrestrial.Attributes.more/3","doc":"","ref":"Terrestrial.Attributes.html#more/3"},{"type":"function","title":"Terrestrial.Attributes.move_down/1","doc":"","ref":"Terrestrial.Attributes.html#move_down/1"},{"type":"function","title":"Terrestrial.Attributes.move_left/1","doc":"","ref":"Terrestrial.Attributes.html#move_left/1"},{"type":"function","title":"Terrestrial.Attributes.move_right/1","doc":"","ref":"Terrestrial.Attributes.html#move_right/1"},{"type":"function","title":"Terrestrial.Attributes.move_up/1","doc":"","ref":"Terrestrial.Attributes.html#move_up/1"},{"type":"function","title":"Terrestrial.Attributes.no_arrow/0","doc":"","ref":"Terrestrial.Attributes.html#no_arrow/0"},{"type":"function","title":"Terrestrial.Attributes.no_change/0","doc":"","ref":"Terrestrial.Attributes.html#no_change/0"},{"type":"function","title":"Terrestrial.Attributes.no_grid/0","doc":"","ref":"Terrestrial.Attributes.html#no_grid/0"},{"type":"function","title":"Terrestrial.Attributes.opacity/1","doc":"","ref":"Terrestrial.Attributes.html#opacity/1"},{"type":"function","title":"Terrestrial.Attributes.or_higher/3","doc":"","ref":"Terrestrial.Attributes.html#or_higher/3"},{"type":"function","title":"Terrestrial.Attributes.or_lower/3","doc":"","ref":"Terrestrial.Attributes.html#or_lower/3"},{"type":"function","title":"Terrestrial.Attributes.percent/2","doc":"Given an axis, find a value at the given percentage","ref":"Terrestrial.Attributes.html#percent/2"},{"type":"function","title":"Terrestrial.Attributes.pink/0","doc":"","ref":"Terrestrial.Attributes.html#pink/0"},{"type":"function","title":"Terrestrial.Attributes.pinned/1","doc":"","ref":"Terrestrial.Attributes.html#pinned/1"},{"type":"function","title":"Terrestrial.Attributes.plus/0","doc":"","ref":"Terrestrial.Attributes.html#plus/0"},{"type":"function","title":"Terrestrial.Attributes.purple/0","doc":"","ref":"Terrestrial.Attributes.html#purple/0"},{"type":"function","title":"Terrestrial.Attributes.red/0","doc":"","ref":"Terrestrial.Attributes.html#red/0"},{"type":"function","title":"Terrestrial.Attributes.rotate/1","doc":"","ref":"Terrestrial.Attributes.html#rotate/1"},{"type":"function","title":"Terrestrial.Attributes.size/1","doc":"","ref":"Terrestrial.Attributes.html#size/1"},{"type":"function","title":"Terrestrial.Attributes.square/0","doc":"","ref":"Terrestrial.Attributes.html#square/0"},{"type":"function","title":"Terrestrial.Attributes.triangle/0","doc":"","ref":"Terrestrial.Attributes.html#triangle/0"},{"type":"function","title":"Terrestrial.Attributes.turquoise/0","doc":"","ref":"Terrestrial.Attributes.html#turquoise/0"},{"type":"function","title":"Terrestrial.Attributes.width/1","doc":"","ref":"Terrestrial.Attributes.html#width/1"},{"type":"function","title":"Terrestrial.Attributes.with_grid/0","doc":"","ref":"Terrestrial.Attributes.html#with_grid/0"},{"type":"function","title":"Terrestrial.Attributes.x1/1","doc":"","ref":"Terrestrial.Attributes.html#x1/1"},{"type":"function","title":"Terrestrial.Attributes.x2/1","doc":"","ref":"Terrestrial.Attributes.html#x2/1"},{"type":"function","title":"Terrestrial.Attributes.y1/1","doc":"","ref":"Terrestrial.Attributes.html#y1/1"},{"type":"function","title":"Terrestrial.Attributes.y2/1","doc":"","ref":"Terrestrial.Attributes.html#y2/1"},{"type":"function","title":"Terrestrial.Attributes.yellow/0","doc":"","ref":"Terrestrial.Attributes.html#yellow/0"},{"type":"function","title":"Terrestrial.Attributes.zero/1","doc":"Given an axis, find the value closer to zero.","ref":"Terrestrial.Attributes.html#zero/1"},{"type":"module","title":"Terrestrial.Colors","doc":"","ref":"Terrestrial.Colors.html"},{"type":"function","title":"Terrestrial.Colors.blue/0","doc":"","ref":"Terrestrial.Colors.html#blue/0"},{"type":"function","title":"Terrestrial.Colors.brown/0","doc":"","ref":"Terrestrial.Colors.html#brown/0"},{"type":"function","title":"Terrestrial.Colors.coral/0","doc":"","ref":"Terrestrial.Colors.html#coral/0"},{"type":"function","title":"Terrestrial.Colors.dark_blue/0","doc":"","ref":"Terrestrial.Colors.html#dark_blue/0"},{"type":"function","title":"Terrestrial.Colors.dark_gray/0","doc":"","ref":"Terrestrial.Colors.html#dark_gray/0"},{"type":"function","title":"Terrestrial.Colors.dark_yellow/0","doc":"","ref":"Terrestrial.Colors.html#dark_yellow/0"},{"type":"function","title":"Terrestrial.Colors.gray/0","doc":"","ref":"Terrestrial.Colors.html#gray/0"},{"type":"function","title":"Terrestrial.Colors.green/0","doc":"","ref":"Terrestrial.Colors.html#green/0"},{"type":"function","title":"Terrestrial.Colors.label_gray/0","doc":"","ref":"Terrestrial.Colors.html#label_gray/0"},{"type":"function","title":"Terrestrial.Colors.magenta/0","doc":"","ref":"Terrestrial.Colors.html#magenta/0"},{"type":"function","title":"Terrestrial.Colors.mint/0","doc":"","ref":"Terrestrial.Colors.html#mint/0"},{"type":"function","title":"Terrestrial.Colors.moss/0","doc":"","ref":"Terrestrial.Colors.html#moss/0"},{"type":"function","title":"Terrestrial.Colors.orange/0","doc":"","ref":"Terrestrial.Colors.html#orange/0"},{"type":"function","title":"Terrestrial.Colors.pink/0","doc":"","ref":"Terrestrial.Colors.html#pink/0"},{"type":"function","title":"Terrestrial.Colors.purple/0","doc":"","ref":"Terrestrial.Colors.html#purple/0"},{"type":"function","title":"Terrestrial.Colors.red/0","doc":"","ref":"Terrestrial.Colors.html#red/0"},{"type":"function","title":"Terrestrial.Colors.to_default_color/1","doc":"Return a color based on index for things like bars and lines in series.","ref":"Terrestrial.Colors.html#to_default_color/1"},{"type":"function","title":"Terrestrial.Colors.turquoise/0","doc":"","ref":"Terrestrial.Colors.html#turquoise/0"},{"type":"function","title":"Terrestrial.Colors.yellow/0","doc":"","ref":"Terrestrial.Colors.html#yellow/0"},{"type":"module","title":"Terrestrial.Commands","doc":"Helpers for working with SVG paths.","ref":"Terrestrial.Commands.html"},{"type":"function","title":"Terrestrial.Commands.description/2","doc":"Generate the d attribute of a path elment","ref":"Terrestrial.Commands.html#description/2"},{"type":"function","title":"Terrestrial.Commands.string_command/1","doc":"","ref":"Terrestrial.Commands.html#string_command/1"},{"type":"function","title":"Terrestrial.Commands.translate/2","doc":"","ref":"Terrestrial.Commands.html#translate/2"},{"type":"module","title":"Terrestrial.Coordinates","doc":"","ref":"Terrestrial.Coordinates.html"},{"type":"type","title":"Terrestrial.Coordinates.anchor/0","doc":"","ref":"Terrestrial.Coordinates.html#t:anchor/0"},{"type":"type","title":"Terrestrial.Coordinates.axis/0","doc":"- *data_min* is the lowest value of your data\n- *data_max* is the highest value of your data\n- *min* is the lowest value of your axis\n- *max* is the highest value of your axis","ref":"Terrestrial.Coordinates.html#t:axis/0"},{"type":"function","title":"Terrestrial.Coordinates.fold_position/2","doc":"","ref":"Terrestrial.Coordinates.html#fold_position/2"},{"type":"type","title":"Terrestrial.Coordinates.plane/0","doc":"used to translate cartesian coordinates into SVG ones and back","ref":"Terrestrial.Coordinates.html#t:plane/0"},{"type":"type","title":"Terrestrial.Coordinates.point/0","doc":"","ref":"Terrestrial.Coordinates.html#t:point/0"},{"type":"type","title":"Terrestrial.Coordinates.position/0","doc":"","ref":"Terrestrial.Coordinates.html#t:position/0"},{"type":"function","title":"Terrestrial.Coordinates.scale_cartesian_x/2","doc":"","ref":"Terrestrial.Coordinates.html#scale_cartesian_x/2"},{"type":"function","title":"Terrestrial.Coordinates.scale_cartesian_y/2","doc":"","ref":"Terrestrial.Coordinates.html#scale_cartesian_y/2"},{"type":"function","title":"Terrestrial.Coordinates.scale_svg_x/2","doc":"","ref":"Terrestrial.Coordinates.html#scale_svg_x/2"},{"type":"function","title":"Terrestrial.Coordinates.scale_svg_y/2","doc":"","ref":"Terrestrial.Coordinates.html#scale_svg_y/2"},{"type":"function","title":"Terrestrial.Coordinates.tick/4","doc":"","ref":"Terrestrial.Coordinates.html#tick/4"},{"type":"type","title":"Terrestrial.Coordinates.tickConfig/0","doc":"","ref":"Terrestrial.Coordinates.html#t:tickConfig/0"},{"type":"function","title":"Terrestrial.Coordinates.to_svg_x/2","doc":"","ref":"Terrestrial.Coordinates.html#to_svg_x/2"},{"type":"function","title":"Terrestrial.Coordinates.to_svg_y/2","doc":"","ref":"Terrestrial.Coordinates.html#to_svg_y/2"},{"type":"function","title":"Terrestrial.Coordinates.x_tick/3","doc":"","ref":"Terrestrial.Coordinates.html#x_tick/3"},{"type":"function","title":"Terrestrial.Coordinates.y_tick/3","doc":"","ref":"Terrestrial.Coordinates.html#y_tick/3"},{"type":"module","title":"Terrestrial.Dot","doc":"","ref":"Terrestrial.Dot.html"},{"type":"type","title":"Terrestrial.Dot.shape/0","doc":"","ref":"Terrestrial.Dot.html#t:shape/0"},{"type":"type","title":"Terrestrial.Dot.t/0","doc":"","ref":"Terrestrial.Dot.html#t:t/0"},{"type":"module","title":"Terrestrial.Internal","doc":"","ref":"Terrestrial.Internal.html"},{"type":"function","title":"Terrestrial.Internal.apply_edits/2","doc":"","ref":"Terrestrial.Internal.html#apply_edits/2"},{"type":"module","title":"Terrestrial.Interpolation","doc":"","ref":"Terrestrial.Interpolation.html"},{"type":"function","title":"Terrestrial.Interpolation.linear/1","doc":"Doesn't support sections yets, pretends every point is consecutive.","ref":"Terrestrial.Interpolation.html#linear/1"},{"type":"type","title":"Terrestrial.Interpolation.method/0","doc":"","ref":"Terrestrial.Interpolation.html#t:method/0"},{"type":"type","title":"Terrestrial.Interpolation.t/0","doc":"","ref":"Terrestrial.Interpolation.html#t:t/0"},{"type":"module","title":"Terrestrial.Intervals","doc":"Helpers to create \"nice\" numbers for axis labels.","ref":"Terrestrial.Intervals.html"},{"type":"function","title":"Terrestrial.Intervals.find_multiple/2","doc":"","ref":"Terrestrial.Intervals.html#find_multiple/2"},{"type":"function","title":"Terrestrial.Intervals.find_multiple_exact/4","doc":"","ref":"Terrestrial.Intervals.html#find_multiple_exact/4"},{"type":"function","title":"Terrestrial.Intervals.gen_floats/3","doc":"","ref":"Terrestrial.Intervals.html#gen_floats/3"},{"type":"function","title":"Terrestrial.Intervals.gen_ints/3","doc":"","ref":"Terrestrial.Intervals.html#gen_ints/3"},{"type":"function","title":"Terrestrial.Intervals.get_beginning/2","doc":"","ref":"Terrestrial.Intervals.html#get_beginning/2"},{"type":"function","title":"Terrestrial.Intervals.get_multiples/3","doc":"","ref":"Terrestrial.Intervals.html#get_multiples/3"},{"type":"function","title":"Terrestrial.Intervals.get_precision/1","doc":"","ref":"Terrestrial.Intervals.html#get_precision/1"},{"type":"function","title":"Terrestrial.Intervals.positions/6","doc":"","ref":"Terrestrial.Intervals.html#positions/6"},{"type":"module","title":"Terrestrial.Property","doc":"","ref":"Terrestrial.Property.html"},{"type":"type","title":"Terrestrial.Property.t/0","doc":"","ref":"Terrestrial.Property.html#t:t/0"},{"type":"module","title":"Terrestrial.Series","doc":"","ref":"Terrestrial.Series.html"},{"type":"function","title":"Terrestrial.Series.series/4","doc":"","ref":"Terrestrial.Series.html#series/4"},{"type":"function","title":"Terrestrial.Series.to_commands/4","doc":"","ref":"Terrestrial.Series.html#to_commands/4"},{"type":"module","title":"Terrestrial.Series.Item","doc":"","ref":"Terrestrial.Series.Item.html"},{"type":"module","title":"Terrestrial.Svg","doc":"","ref":"Terrestrial.Svg.html"},{"type":"function","title":"Terrestrial.Svg.arrow/3","doc":"","ref":"Terrestrial.Svg.html#arrow/3"},{"type":"function","title":"Terrestrial.Svg.container/5","doc":"","ref":"Terrestrial.Svg.html#container/5"},{"type":"function","title":"Terrestrial.Svg.dot/5","doc":"","ref":"Terrestrial.Svg.html#dot/5"},{"type":"function","title":"Terrestrial.Svg.interpolation/2","doc":"","ref":"Terrestrial.Svg.html#interpolation/2"},{"type":"function","title":"Terrestrial.Svg.label/4","doc":"","ref":"Terrestrial.Svg.html#label/4"},{"type":"function","title":"Terrestrial.Svg.line/2","doc":"","ref":"Terrestrial.Svg.html#line/2"},{"type":"function","title":"Terrestrial.Svg.tick/4","doc":"","ref":"Terrestrial.Svg.html#tick/4"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}